package com.datacloudsec.scan.tasks.scheduler.time;

import com.datacloudsec.exception.UEException;
import java.util.Calendar;

/* loaded from: com_datacloudsec_scan_tasks_scheduler_time.jar:com/datacloudsec/scan/tasks/scheduler/time/TimeWeek.class */
public class TimeWeek implements ITime {
    private int week;
    private int hour;
    private int minute;

    public TimeWeek(int week, int hour, int minute) {
        if (week < 0 || week > 6) {
            throw new UEException("week:0-6");
        }
        if (hour < 0 || hour > 23) {
            throw new UEException("hour:0-23");
        }
        if (minute < 0 || minute > 59) {
            throw new UEException("minute:0-59");
        }
        this.week = week;
        this.hour = hour;
        this.minute = minute;
    }

    @Override // com.datacloudsec.scan.tasks.scheduler.time.ITime
    public int calcSecond(long currTime) throws Exception {
        Calendar cale = Calendar.getInstance();
        cale.setTimeInMillis(currTime);
        cale.set(7, this.week + 1);
        cale.set(11, this.hour);
        cale.set(12, this.minute);
        cale.set(13, 0);
        long v = cale.getTimeInMillis();
        if (v <= currTime) {
            cale.set(5, cale.get(5) + 7);
            v = cale.getTimeInMillis();
        }
        return (int) ((v - currTime) / 1000);
    }
}
